name: odf
description: "A new Flutter project."
# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number is used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
# In Windows, build-name is used as the major, minor, and patch parts
# of the product and file versions while build-number is used as the build suffix.
version: 1.0.2+3

environment:
  sdk: '>=3.3.4 <4.0.0'


dependencies:
  flutter:
    sdk: flutter

  dio: ^5.1.1
  intl: ^0.19.0
  cupertino_icons: ^1.0.6
  flutter_easyloading: ^3.0.5
  crypto: ^3.0.3
  shared_preferences: ^2.2.3
  json_annotation: ^4.9.0
  flutter_cupertino_datetime_picker: ^3.0.0
  url_launcher: ^6.2.3
  package_info_plus: ^8.0.2


dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^3.0.0
  build_runner: ^2.2.0
  json_serializable: ^6.8.0

dart2js:
  minify: true
  treeShaking: true
  # 禁用不必要的检查（生产环境）
  enableAssert: false


flutter:
  uses-material-design: true
  assets:
    - assets/
    - assets/images/

